import abc
from abc import ABC
from typing import List

from TheCodeLabs_FlaskUtils.content.ContentPage import ContentPage


class AbstractContentService(ABC):

    @abc.abstractmethod
    def get_content_pages(self) -> List[ContentPage]:
        pass

    def get_content_page(self, content_id: str) -> ContentPage or None:
        content_pages = [page for page in self.get_content_pages() if page.id == content_id]
        if not content_pages:
            return None
        return content_pages[0]
